qemu-efi-aarch64_0~20180205.c0d9813c-2ubuntu0.1_all.deb


Advertisement

Description

qemu-efi-aarch64 - UEFI firmware for 64-bit ARM virtual machines

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename qemu-efi-aarch64_0~20180205.c0d9813c-2ubuntu0.1_all.deb
Package name qemu-efi-aarch64
Package version 0~20180205.c0d9813c
Package release 2ubuntu0.1
Package architecture all
Package type deb
Category universe/misc
Homepage http://www.tianocore.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.82 MB
Installed size 130.03 MB
qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
includes full support for UEFI, including Secure Boot.

Alternatives

Package Version Architecture Repository
qemu-efi-aarch64_0~20180205.c0d9813c-2ubuntu0.1_all.deb 0~20180205.c0d9813c all Ubuntu Updates Universe
qemu-efi-aarch64_0~20180205.c0d9813c-2_all.deb 0~20180205.c0d9813c all Ubuntu Universe
qemu-efi-aarch64_0~20180205.c0d9813c-2_all.deb 0~20180205.c0d9813c all Ubuntu Universe
qemu-efi-aarch64 - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package qemu-efi-aarch64_0~20180205.c0d9813c-2ubuntu0.1_all.deb
Source Package edk2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install qemu-efi-aarch64 deb package:
    # sudo apt-get install qemu-efi-aarch64

Changelog

2019-07-08 - dann frazier <dannf@ubuntu.com>
edk2 (0~20180205.c0d9813c-2ubuntu0.1) bionic; urgency=medium
* Security fixes (LP: #1820764):
- Fix buffer overflow in BlockIo service (CVE-2018-12180)
- DNS: Check received packet size before using (CVE-2018-12178)
- Fix stack overflow with corrupted BMP (CVE-2018-12181)
2018-02-20 - dann frazier <dannf@debian.org>
edk2 (0~20180205.c0d9813c-2) unstable; urgency=medium
* Enable HTTP Boot. LP: #1750481.
2018-02-05 - dann frazier <dannf@debian.org>
edk2 (0~20180205.c0d9813c-1) unstable; urgency=medium
* New upstream release.
2018-01-05 - dann frazier <dannf@debian.org>
edk2 (0~20180105.0bc94c74-1) unstable; urgency=medium
* New upstream release.
- d/p/Revert-BaseTools-Update-Gensec-to-set-PROCESSING_REQ.patch: Drop;
superseded by upstream fix:
1e6e6e18 BaseTools: Fix GenSec GCC make failure
* Bump Standards-Version from 4.1.1 to 4.1.3.
- Use https instead of http in Vcs-Browser URL.
2017-12-05 - dann frazier <dannf@debian.org>
edk2 (0~20171205.a9212288-1) unstable; urgency=medium
* New upstream release.
- Fix Windows Server 2012 BSOD during installation. Closes: #881219.
Thanks to Jeff Ketchum.
- Bump openssl up to latest upstream version, 1.1.0g.
* d/p/Revert-BaseTools-Update-Gensec-to-set-PROCESSING_REQ.patch: Add;
fixes FTBFS.
* Change package priorities from extra (now deprecated) to optional.
2017-10-27 - dann frazier <dannf@debian.org>
edk2 (0~20171027.76fd5a66-1) unstable; urgency=medium
* New upstream release.
- Fix Win10 guests booting from IDE drives. LP: #1725560.
2017-10-10 - dann frazier <dannf@debian.org>
edk2 (0~20171010.234dbcef-1) unstable; urgency=medium
* New upstream release.
- d/p/demote-maybe-uninitialized-to-warning.patch: Drop; issue resolved
upstream.
* Bump Standards-Version from 3.9.8 to 4.1.1.
* Bump debhelper compatibility level to 10.
2017-09-12 - dann frazier <dannf@debian.org>
edk2 (0~20170911.5dfba97c-1) unstable; urgency=medium
* New upstream release.
- Now builds with gcc-7. Closes: #853382.
- d/p/no-missing-braces.diff: Refresh.
- d/p/no-stack-protector-all-archs.diff: Refresh.
- d/p/no-pie-for-arm.diff: Drop; superseded by upstream commit
a6b53806.
- OpenSSL: Switch to the new openssl-1.1-based system, which no
longer requires patching.
- d/p/demote-maybe-uninitialized-to-warning.patch: Workaround compiler
error until upstream code is fixed.
* Unset environment variables that are used internally by edk2.
* Avoid the need for "post-patches" by explicitly setting the
ACTIVE_PLATFORM and TARGET_ARCH variables on the build commandline
for ovmf, like we already do for qemu-efi-{arm,aarch64}.
2017-05-18 - dann frazier <dannf@debian.org>
edk2 (0~20161202.7bbe0b3e-2) experimental; urgency=medium
* debian/rules: Replace hardcoded "AARCH64" strings with $(EDK2_HOST_ARCH).
* debian/rules: AAVMF image generation doesn't require the edksetup
environment, so move that code outside of it.
* debian/rules: Refactor build-qemu-efi into common and aarch64-specific
targets, so that the common target can be used by a future arm-specific
target.
* d/p/arm64-no-pie-for-you.diff -> d/p/no-pie-for-arm.diff: Update patch
to also apply to arm builds.
* Rename qemu-efi to qemu-efi-aarch64 to open the namespace for
qemu-efi-arm. qemu-efi is now a transitional package with a compatibility
symlink.
* Add qemu-efi-arm package. Closes: #857858.

See Also

Package Description
qemu-efi-arm_0~20180205.c0d9813c-2ubuntu0.1_all.deb UEFI firmware for 32-bit ARM virtual machines
qemu-efi_0~20180205.c0d9813c-2ubuntu0.1_all.deb transitional dummy package
qemu-guest-agent_2.11+dfsg-1ubuntu7.23_amd64.deb Guest-side qemu-system agent
qemu-system-mips_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU full system emulation binaries (mips)
qemu-system-misc_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU full system emulation binaries (miscellaneous)
qemu-system-sparc_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU full system emulation binaries (sparc)
qemu-system_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU full system emulation binaries
qemu-user-binfmt_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU user mode binfmt registration for qemu-user
qemu-user-static_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU user mode emulation binaries (static version)
qemu-user_2.11+dfsg-1ubuntu7.23_amd64.deb QEMU user mode emulation binaries
qemu_2.11+dfsg-1ubuntu7.23_amd64.deb fast processor emulator
qlubuntu-default-session_0.54.3_all.deb Set default session to QLubuntu version
qml-module-qt-labs-folderlistmodel_5.9.5-0ubuntu1.1_amd64.deb Qt 5 folderlistmodel QML module
qml-module-qt-labs-settings_5.9.5-0ubuntu1.1_amd64.deb Qt 5 settings QML module
qml-module-qt-labs-sharedimage_5.9.5-0ubuntu1.1_amd64.deb Qt 5 SharedImage QML module
Advertisement
Advertisement